Spark App and Android 10



  • Hello, I read somewhere on the internet and in the Spark App comments on Google Play Store that there are issues with the Spark App and Android 10; I have a Huawei Mate 10 Pro phone, and a couple days ago I started receiving the notification to upgrade to EMUI 10 (Huawei proprietary ROM with Android 10), which I am delaying because I don't want to get in trouble when using my amp.

    Despite the searches I have done, I couldn't find any detailed information about this issue, to the point that I don't even know if it's a generalized issue across the board of people using Android 10, or just somebody being unlucky with an Android ROM or specific phone.

    So, what I'm asking is:

    • what are your experiences with the Spark App paired with Android 10?
    • can I safely upgrade to Android 10 and still be able to fully use my amp?

    Thank you for your time and help.

    Have a nice day and goodbye



  • @chrome0some No issues running on my Samsung Galaxy S10+ running Android 10.



  • I ran it on my Samsung Galaxy S6 Lite running Android 10 initially and don't recall any problems. Have since been running on an older tablet running 8 I believe that I have dedicated to by my "music" tablet for the studio and living room where I have the Spark.



  • @chrome0some I encountered an issue today on my Galaxy Note 10+. I won't say that it is a true 'issue' so-to-speak, but it had me puzzled for a minute... The Spark app had been connecting flawlessly since I first set up my amp at the end of July and today it suddenly would not connect. I had forgotten that I turned off the location service on my phone the night before to minimize battery drain. Apparently, if that service is not enabled then the Spark app cannot scan for the amp via Bluetooth (bluetooth audio via the amp still works fine, however), but there is no warning or error message from the Spark app alerting the user that the location service is off. Instead the app just sits there 'searching' until you close it. So the notice that the app requires the 'location' permission when you first install it is the only indication that it is actually tied to the location permission and that the service must always be on when using the amp.

    Not a big deal, but can lead to a few minutes of headaches if you're not aware of this requirement.



  • @chrome0some

    No issues here on Galaxy Tab A10, Android 10.



  • Hi @chrome0some ,

    I have a Huawei P20 Pro with Android 10,

    I have experienced problems with Smart Jam (MIDI related audio) when reproducing via Bluetooth to the Spark, if you play it from the device in this case my phone, it works fine, Everything else works without problems



  • Thank you very much guys for your replies; I'm still unsure if I will upgrade to 10, because with 9 it works flawlessly.

    I'll think about it.

    Thanks again, have a nice day.